GET
List available currencies for collateral
Returns the list of currencies that are available for use as collateral.
Path Params
-
accountIdstring requiredThe ID of the account
Responses
200
A list of available currencies for collateral
Response Body
object
-
availableCurrenciesarray of objectsReturns a Currency object that consists of the ID, Name, Symbol, Increment, and PlatformSymbol for the instrumentavailableCurrencies object
-
idstring uuid requiredID of the currency -
symbolstring requiredSymbol of the currency -
namestring requiredName of the currency -
incrementstring decimal requiredThis is the smallest amount that can be traded for the currency. -
platformSymbolstringThe BitGo platform symbol for this currency.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-